| LicenseSpring Management .Net SDK 1.16.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Properties | List of all members
LicenseSpring.ListDevicesRequestDto Class Reference

Data transfer object that is used for searching through all devices. More...

Inheritance diagram for LicenseSpring.ListDevicesRequestDto:

## Properties
bool? | Blacklisted`[get, set]`
| summary> The resulting set can be filtered by the hostname detected by the SDK.
string | HardwareId`[get, set]`
string | Hostname`[get, set]`
| summary> The resulting set can be filtered by the hardware id.
ulong? | License`[get, set]`
| The resulting set can be filtered by the license the device belongs to. This field is the id of that license, which shouldn't be confused with identity (username or key). This is a 16 digit field.
OrderDevicesBy | Order`[get, set]`
string | OrderByString`[get]`
| Order attribute converted to string.
Properties inherited from LicenseSpring.BaseListDto
int | Limit`[get, set]`
| Number of results you want to be shown. Server sends paginated response that's why limit can be set. Default is 20.
int | Offset`[get, set]`

## Detailed Description

Data transfer object that is used for searching through all devices.

All fields represent a query that can be used to filter through devices.

## Property Documentation

## ◆ License

ulong? LicenseSpring.ListDevicesRequestDto.License
| get set

The resulting set can be filtered by the license the device belongs to. This field is the id of that license, which shouldn't be confused with identity (username or key). This is a 16 digit field.

summary> If set to true, the resulting set will contain only blacklisted devices, otherwise, the resulting set will contain devices that are not blacklisted.

## ◆ OrderByString

string LicenseSpring.ListDevicesRequestDto.OrderByString
| get

Order attribute converted to string.

summary> The result of the queries is a list that can than be ordered in ascending order by some attribute. This is where that attribute needs to be set. Supported fields are: blacklisted, license, hostname and hardware_id.

The documentation for this class was generated from the following file:

- Dto/ListDevicesRequestDto.cs